- HTTP request
- Path parameters
- Query parameters
- Request body
- Response body
- Authorization scopes
- Try it!
Lists the existing groups.
HTTP request
GET https://monitoring.googleapis.com/v3/{name}/groups
Path parameters
| Parameters | |
|---|---|
name |
Required. The project whose groups are to be listed. The format is: |
Query parameters
| Parameters | |
|---|---|
pageSize |
A positive number that is the maximum number of results to return. |
pageToken |
If this field is not empty then it must contain the |
| An optional filter consisting of a single group name. The filters limit the groups returned based on their parent-child relationship with the specified group. If no filter is specified, all groups are returned. The following is a list of mutually exclusive fields. At most one of the fields will be set in a response: | |
childrenOfGroup |
A group name. The format is: Returns groups whose |
ancestorsOfGroup |
A group name. The format is: Returns groups that are ancestors of the specified group. The groups are returned in order, starting with the immediate parent and ending with the most distant ancestor. If the specified group has no immediate parent, the results are empty. |
descendantsOfGroup |
A group name. The format is: Returns the descendants of the specified group. This is a superset of the results returned by the |
| End of mutually exclusive fields. | |
Request body
The request body must be empty.
Response body
The groups.list response.
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{
"group": [
{
object ( |
| Fields | |
|---|---|
group[] |
The groups that match the specified filters. |
nextPageToken |
If there are more results than have been returned, then this field is set to a non-empty value. To see the additional results, use that value as |
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/cloud-platformhttps://www.googleapis.com/auth/monitoringhttps://www.googleapis.com/auth/monitoring.read
For more information, see the Authentication Overview.